Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.query
Interface ServiceBindingQueryType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, FilterQueryType, org.eclipse.emf.common.notify.Notifier, RegistryObjectQueryType

All Known Implementing Classes:
  ServiceBindingQueryTypeImpl

    public interface ServiceBindingQueryType

extends RegistryObjectQueryType

A representation of the model object 'Service Binding Query Type'.

The following features are supported:

- `Service Query`
- `Specification Link Query`
- `Target Binding Query`

See Also:
  `QueryPackage.getServiceBindingQueryType()`

Method Summary
`ServiceQueryType` | `getServiceQuery()` Returns the value of the 'Service Query' containment reference.
`org.eclipse.emf.common.util.EList` | `getSpecificationLinkQuery()` Returns the value of the 'Specification Link Query' containment reference list.
`ServiceBindingQueryType` | `getTargetBindingQuery()` Returns the value of the 'Target Binding Query' containment reference.
`void` | `setServiceQuery(ServiceQueryType value)` Sets the value of the '`Service Query`' containment reference.
`void` | `setTargetBindingQuery(ServiceBindingQueryType value)` Sets the value of the '`Target Binding Query`' containment reference.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.query.RegistryObjectQueryType
`getClassificationQuery, getDescriptionBranch, getExternalIdentifierQuery, getNameBranch, getObjectTypeQuery, getSlotBranch, getSourceAssociationQuery, getStatusQuery, getTargetAssociationQuery, getVersionInfoFilter, setDescriptionBranch, setNameBranch, setObjectTypeQuery, setStatusQuery, setVersionInfoFilter`

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.query.FilterQueryType
`getPrimaryFilter, setPrimaryFilter`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getServiceQuery

    ServiceQueryType getServiceQuery()

  Returns the value of the 'Service Query' containment reference.

  If the meaning of the 'Service Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Service Query' containment reference.
  See Also:
    `setServiceQuery(ServiceQueryType)`, `QueryPackage.getServiceBindingQueryType_ServiceQuery()`

### setServiceQuery

    void setServiceQuery(ServiceQueryType value)

  Sets the value of the '`Service Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Service Query' containment reference.
  See Also:
    `getServiceQuery()`

### getSpecificationLinkQuery

    org.eclipse.emf.common.util.EList getSpecificationLinkQuery()

  Returns the value of the 'Specification Link Query' containment reference list. The list contents are of type `SpecificationLinkQueryType`.

  If the meaning of the 'Specification Link Query' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Specification Link Query' containment reference list.
  See Also:
    `QueryPackage.getServiceBindingQueryType_SpecificationLinkQuery()`

### getTargetBindingQuery

    ServiceBindingQueryType getTargetBindingQuery()

  Returns the value of the 'Target Binding Query' containment reference.

  If the meaning of the 'Target Binding Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Target Binding Query' containment reference.
  See Also:
    `setTargetBindingQuery(ServiceBindingQueryType)`, `QueryPackage.getServiceBindingQueryType_TargetBindingQuery()`

### setTargetBindingQuery

    void setTargetBindingQuery(ServiceBindingQueryType value)

  Sets the value of the '`Target Binding Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Target Binding Query' containment reference.
  See Also:
    `getTargetBindingQuery()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD